/*
	File:		PictRead.h

	Contains:	xxx put contents here xxx

	Version:	1.6

	Copyright:	 1998 by Apple Computer, Inc., all rights reserved.

	File Ownership:

		DRI:				Robert Dierkes

		Other Contact:		Brian Greenstone

		Technology:			QuickDraw 3D

	Writers:

		(BG)	Brian Greenstone

	Change History (most recent first):

	 <QD3D3>	10/15/98	BG		Support Compressed Pixmaps
*/

#pragma once
/******************************************************************************
 **																			 **
 ** 	Module:		PictRead.h												 **
 ** 																		 **
 ** 																		 **
 ** 																		 **
 ** 	Purpose: 	protos for PICT to TEX routines							 **
 ** 																		 **
 ** 																		 **
 ** 																		 **
 ** 	Copyright (C) 1992-1995 Apple Computer, Inc.  All rights reserved.	 **
 ** 																		 **
 ** 																		 **
 *****************************************************************************/
#ifndef PictRead_h
#define PictRead_h

#include <Files.h>		/* for FSSpecPtr */

#ifdef __cplusplus
extern "C" {
#endif	/* __cplusplus */


PicHandle OpenPICTFile(
	FSSpecPtr fileSpec);

PicHandle GetPICTFile( 
	void);
	
short LoadMapPICT(
	PicHandle			pict,
	unsigned long 		mapId,
	unsigned long 		mapSizeX, 
	unsigned long 		mapSizeY, 
	TQ3StoragePixmap 	*bMap);
	
short LoadMapPICTCompressed(PicHandle pict, unsigned long mapID, unsigned long	mapSizeX,
							unsigned long mapSizeY, TQ3CompressedPixmap	*bMap);
	
	
#ifdef __cplusplus
}
#endif	/* __cplusplus */

	
#endif  /*  PictRead_h  */

